FROM ruby as sass_compiler

RUN gem install sass compass

COPY ./django-application /app
COPY ./docker/compile_sass.sh /tmp/

WORKDIR /app

RUN /bin/bash /tmp/compile_sass.sh


FROM python:3.7 as static_builder
ENV DJANGO_SETTINGS_MODULE metaBase.settings.production
ARG DJANGO_SECRET_KEY
ENV DJANGO_SECRET_KEY=$DJANGO_SECRET_KEY

COPY docker/requirements.prod.txt  .
COPY docker/requirements.txt  .
COPY django-application .

COPY --from=sass_compiler /app .

RUN pip install --no-cache-dir -r requirements.prod.txt && \
    python manage.py collectstatic --no-input


FROM nginx
COPY docker/nginx.conf /etc/nginx/conf.d/metabase.conf.template
COPY docker/envsubst.sh /docker-entrypoint.d/
COPY --from=static_builder /static /var/www/static
EXPOSE 8000
